### GET /online/technology/examples/search Source: https://services.onetcenter.org/reference/openapi.json Technology example search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **keyword** (string, query, required): search query (word or phrase) - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/technology/examples/search?keyword=string&start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/careers/ Source: https://services.onetcenter.org/reference/openapi.json See all careers ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/?start=1&end=0" ``` ``` -------------------------------- ### GET /mnm/careers/ Source: https://services.onetcenter.org/reference/openapi.json See all careers ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/?start=1&end=0" ``` ``` -------------------------------- ### GET /veterans/careers/ Source: https://services.onetcenter.org/reference/openapi.json See all careers ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/?start=1&end=0" ``` ``` -------------------------------- ### GET /online/technology/examples/{title} Source: https://services.onetcenter.org/reference/openapi.json Occupations for technology ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **title** (string, path, required): Technology Skill title - **sort** (string (title|code|job_zone), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/technology/examples/{title}?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /online/bright_outlook/all Source: https://services.onetcenter.org/reference/openapi.json Occupations in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (title|code), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/bright_outlook/all?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /online/onet_data/knowledge/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Knowledge ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/knowledge/" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/knowledge Source: https://services.onetcenter.org/reference/openapi.json Knowledge ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/knowledge" ``` ``` -------------------------------- ### GET / Source: https://services.onetcenter.org/reference/openapi.json Service categories ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/ Source: https://services.onetcenter.org/reference/openapi.json Career overview ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/knowledge Source: https://services.onetcenter.org/reference/openapi.json Knowledge ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/knowledge" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/ Source: https://services.onetcenter.org/reference/openapi.json Career overview ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/abilities Source: https://services.onetcenter.org/reference/openapi.json Abilities ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/abilities" ``` ``` -------------------------------- ### GET /mpp/bright_outlook/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string (grow|openings|emerging), path, required): category code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/bright_outlook/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /online/onet_data/abilities/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Abilities ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/abilities/" ``` ``` -------------------------------- ### GET /online/occupations/ Source: https://services.onetcenter.org/reference/openapi.json See All Occupations ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (title|code|zone), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/occupations/?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/abilities Source: https://services.onetcenter.org/reference/openapi.json Abilities ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/abilities" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/technology Source: https://services.onetcenter.org/reference/openapi.json Technology ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/technology" ``` ``` -------------------------------- ### GET /mnm/bright_outlook/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string (grow|openings|emerging), path, required): category code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/bright_outlook/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/explore_more Source: https://services.onetcenter.org/reference/openapi.json Explore More ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/explore_more" ``` ``` -------------------------------- ### GET /mpp/bright_outlook/ Source: https://services.onetcenter.org/reference/openapi.json Careers with a Bright Outlook ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/bright_outlook/" ``` ``` -------------------------------- ### GET /online/career_clusters/all Source: https://services.onetcenter.org/reference/openapi.json Occupations in all clusters ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (cluster|sub_cluster|title|code), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/career_clusters/all?sort=cluster&start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/skills Source: https://services.onetcenter.org/reference/openapi.json Skills ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/skills" ``` ``` -------------------------------- ### GET /mpp/careers/{code}/education Source: https://services.onetcenter.org/reference/openapi.json Education ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/careers/{code}/education" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/explore_more Source: https://services.onetcenter.org/reference/openapi.json Explore More ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/explore_more" ``` ``` -------------------------------- ### GET /online/hot_technology/ Source: https://services.onetcenter.org/reference/openapi.json Hot Technologies ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (job_postings|title), query, optional): sort order ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/hot_technology/?sort=job_postings" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/education Source: https://services.onetcenter.org/reference/openapi.json Education ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/education" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/technology Source: https://services.onetcenter.org/reference/openapi.json Technology ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/technology" ``` ``` -------------------------------- ### GET /mnm/careers/{code}/skills Source: https://services.onetcenter.org/reference/openapi.json Skills ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/careers/{code}/skills" ``` ``` -------------------------------- ### GET /mnm/bright_outlook/ Source: https://services.onetcenter.org/reference/openapi.json Careers with a Bright Outlook ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/bright_outlook/" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/ Source: https://services.onetcenter.org/reference/openapi.json Career overview ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/" ``` ``` -------------------------------- ### GET /mpp/career_clusters/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in cluster ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): Career Cluster code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/career_clusters/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/knowledge Source: https://services.onetcenter.org/reference/openapi.json Knowledge ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/knowledge" ``` ``` -------------------------------- ### GET /online/onet_data/skills_basic/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Basic Skills ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/skills_basic/" ``` ``` -------------------------------- ### GET /mnm/ Source: https://services.onetcenter.org/reference/openapi.json My Next Move services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/abilities Source: https://services.onetcenter.org/reference/openapi.json Abilities ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/abilities" ``` ``` -------------------------------- ### GET /mpp/career_clusters/ Source: https://services.onetcenter.org/reference/openapi.json Browse careers by cluster ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/career_clusters/" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/explore_more Source: https://services.onetcenter.org/reference/openapi.json Explore More ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/explore_more" ``` ``` -------------------------------- ### GET /database/ Source: https://services.onetcenter.org/reference/openapi.json O*NET Database services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//database/" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/technology Source: https://services.onetcenter.org/reference/openapi.json Technology ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/technology" ``` ``` -------------------------------- ### GET /mpp/interests/ Source: https://services.onetcenter.org/reference/openapi.json Careers sorted by Interests ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/interests/" ``` ``` -------------------------------- ### GET /mpp/interests/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string (realistic|investigative|artistic|social|enterprising|conventional), path, required): category code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/interests/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /veterans/bright_outlook/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string (grow|openings|emerging), path, required): category code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/bright_outlook/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /online/bright_outlook/{code} Source: https://services.onetcenter.org/reference/openapi.json Occupations in category ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string (grow|openings|emerging), path, required): category code - **sort** (string (title|code), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/bright_outlook/{code}?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /about/ Source: https://services.onetcenter.org/reference/openapi.json About O*NET Web Services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//about/" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/skills Source: https://services.onetcenter.org/reference/openapi.json Skills ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/skills" ``` ``` -------------------------------- ### GET /veterans/careers/{code}/education Source: https://services.onetcenter.org/reference/openapi.json Education ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (string, path, required): O*NET-SOC code ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/careers/{code}/education" ``` ``` -------------------------------- ### GET /mpp/job_preparation/ Source: https://services.onetcenter.org/reference/openapi.json Careers sorted by Job Preparation ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/job_preparation/" ``` ``` -------------------------------- ### GET /mnm/career_clusters/ Source: https://services.onetcenter.org/reference/openapi.json Browse careers by cluster ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/career_clusters/" ``` ``` -------------------------------- ### GET /online/career_clusters/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Career Cluster ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/career_clusters/" ``` ``` -------------------------------- ### GET /online/onet_data/work_context/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Work Context ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/work_context/" ``` ``` -------------------------------- ### GET /online/job_zones/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Job Zone ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/job_zones/" ``` ``` -------------------------------- ### GET /veterans/job_preparation/ Source: https://services.onetcenter.org/reference/openapi.json Careers sorted by Job Preparation ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//veterans/job_preparation/" ``` ``` -------------------------------- ### GET /online/associations/search Source: https://services.onetcenter.org/reference/openapi.json Occupation search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **keyword** (string, query, required): search query (word, phrase, title, or code) - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/associations/search?keyword=string&start=1&end=0" ``` ``` -------------------------------- ### GET /mnm/interests/ Source: https://services.onetcenter.org/reference/openapi.json Careers sorted by Interests ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/interests/" ``` ``` -------------------------------- ### GET /mpp/job_preparation/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in Job Zone ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (integer, path, required): Job Zone code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/job_preparation/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/interestprofiler/ Source: https://services.onetcenter.org/reference/openapi.json Interest Profiler services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/interestprofiler/" ``` ``` -------------------------------- ### GET /mnm/job_preparation/ Source: https://services.onetcenter.org/reference/openapi.json Careers sorted by Job Preparation ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/job_preparation/" ``` ``` -------------------------------- ### GET /online/crosswalks/ Source: https://services.onetcenter.org/reference/openapi.json Crosswalk services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/crosswalks/" ``` ``` -------------------------------- ### GET /online/technology/ Source: https://services.onetcenter.org/reference/openapi.json Technology Skills Search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/technology/" ``` ``` -------------------------------- ### GET /online/onet_data/work_styles/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Work Styles ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/work_styles/" ``` ``` -------------------------------- ### GET /online/job_zones/all Source: https://services.onetcenter.org/reference/openapi.json Occupations in all job zones ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (title|code|job_zone), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/job_zones/all?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /online/industries/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Industry ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/industries/" ``` ``` -------------------------------- ### GET /online/job_families/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Job Family ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/job_families/" ``` ``` -------------------------------- ### GET /online/industries/all Source: https://services.onetcenter.org/reference/openapi.json Occupations in industry ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **sort** (string (title|code|growth|openings), query, optional): sort order - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/industries/all?sort=title&start=1&end=0" ``` ``` -------------------------------- ### GET /online/job_duties/search Source: https://services.onetcenter.org/reference/openapi.json Occupation search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **keyword** (string, query, required): search query (word, phrase, title, or code) - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/job_duties/search?keyword=string&start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/interestprofiler/results Source: https://services.onetcenter.org/reference/openapi.json Interest Profiler results ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **answers** (string, query, required): answers to Interest Profiler question list ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/interestprofiler/results?answers=string" ``` ``` -------------------------------- ### GET /mnm/job_preparation/{code} Source: https://services.onetcenter.org/reference/openapi.json Careers in Job Zone ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **code** (integer, path, required): Job Zone code - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mnm/job_preparation/{code}?start=1&end=0" ``` ``` -------------------------------- ### GET /online/onet_data/interests/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Interests ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/interests/" ``` ``` -------------------------------- ### GET /mpp/interestprofiler/questions Source: https://services.onetcenter.org/reference/openapi.json Interest Profiler questions (desktop) ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/interestprofiler/questions?start=1&end=0" ``` ``` -------------------------------- ### GET /online/related_activities/search Source: https://services.onetcenter.org/reference/openapi.json Occupation search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **keyword** (string, query, required): search query (word, phrase, title, or code) - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/related_activities/search?keyword=string&start=1&end=0" ``` ``` -------------------------------- ### GET /online/onet_data/work_activities/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Work Activities ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/work_activities/" ``` ``` -------------------------------- ### GET /online/onet_data/skills_cf/ Source: https://services.onetcenter.org/reference/openapi.json Browse by Cross-Functional Skills ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/onet_data/skills_cf/" ``` ``` -------------------------------- ### GET /online/search Source: https://services.onetcenter.org/reference/openapi.json Keyword search ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **keyword** (string, query, required): search query (word, phrase, title, or code) - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//online/search?keyword=string&start=1&end=0" ``` ``` -------------------------------- ### GET /mpp/ Source: https://services.onetcenter.org/reference/openapi.json Mi Próximo Paso services ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key ### Responses #### 200 - Successful response **ServiceList** - Array of object #### 401 - response API key is missing or invalid ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//mpp/" ``` ``` -------------------------------- ### GET /database/rows/{table_id} Source: https://services.onetcenter.org/reference/openapi.json Data rows ```markdown ### Parameters - **X-API-Key** (string, header, required): O*NET Web Services API Key - **table_id** (string, path, required): Identifier of the desired table - **filter** (array (string), query, optional): Filter criteria - **sort** (array (string), query, optional): Column ID to use for sorting - **start** (integer, query, optional): Index of first returned result - **end** (integer, query, optional): Index of last returned result ### Responses #### 200 - Successful response #### 401 - response API key is missing or invalid #### 422 - response ### Example Usage ```bash curl -X GET "https://api-v2.onetcenter.org//database/rows/{table_id}?filter=item1,item2&sort=item1,item2&start=1&end=0" ``` ```